• There is NO official Otland's Discord server and NO official Otland's server list. The Otland's Staff does not manage any Discord server or server list. Moderators or administrator of any Discord server or server lists have NO connection to the Otland's Staff. Do not get scammed!

Help to compile RME Ubuntu 16.04

kennyubuntu

Member
Joined
May 20, 2016
Messages
110
Best answers
0
Reaction score
7
I'm following the same tutorial i did before, idk witch ubuntu version i was using for, what matter is it was working...
But now i'm trying to back to edit my otserver and i tried to compile RME and did not work


Install what needed:
Code:
sudo apt-get install git libboost-system-dev libboost-thread-dev libglu1-mesa-dev libwxgtk3.0-dev libarchive-dev cmake
Reading package lists... Done
Building dependency tree       
Reading state information... Done
git is already the newest version (1:2.7.4-0ubuntu1).
libglu1-mesa-dev is already the newest version (9.0.0-2.1).
libboost-system-dev is already the newest version (1.58.0.1ubuntu1).
libboost-thread-dev is already the newest version (1.58.0.1ubuntu1).
cmake is already the newest version (3.5.1-1ubuntu3).
libarchive-dev is already the newest version (3.1.2-11ubuntu0.16.04.3).
libwxgtk3.0-dev is already the newest version (3.0.2+dfsg-1.3ubuntu0.1).
The following packages were automatically installed and are no longer required:
  linux-headers-4.4.0-63 linux-headers-4.4.0-63-generic linux-headers-4.4.0-64
  linux-headers-4.4.0-64-generic linux-headers-4.4.0-66
  linux-headers-4.4.0-66-generic linux-headers-4.4.0-67
  linux-headers-4.4.0-67-generic linux-headers-4.4.0-70
  linux-headers-4.4.0-70-generic linux-image-4.4.0-63-generic
  linux-image-4.4.0-64-generic linux-image-4.4.0-66-generic
  linux-image-4.4.0-67-generic linux-image-4.4.0-70-generic
  linux-image-extra-4.4.0-63-generic linux-image-extra-4.4.0-64-generic
  linux-image-extra-4.4.0-66-generic linux-image-extra-4.4.0-67-generic
  linux-image-extra-4.4.0-70-generic mythes-en-au openoffice.org-hyphenation
Use 'sudo apt autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 6 not upgraded.
Code:
sudo apt-get update && sudo apt-get install build-essential
Hit:1 http://br.archive.ubuntu.com/ubuntu xenial InRelease
Get:2 http://br.archive.ubuntu.com/ubuntu xenial-updates InRelease [102 kB]   
Get:3 http://br.archive.ubuntu.com/ubuntu xenial-backports InRelease [102 kB]  
Ign:4 http://dl.google.com/linux/chrome/deb stable InRelease                   
Hit:5 http://dl.google.com/linux/chrome/deb stable Release                     
Get:6 http://security.ubuntu.com/ubuntu xenial-security InRelease [102 kB]     
Hit:7 http://ppa.launchpad.net/webupd8team/java/ubuntu xenial InRelease       
Get:8 http://br.archive.ubuntu.com/ubuntu xenial-updates/main amd64 Packages [514 kB]
Get:10 http://br.archive.ubuntu.com/ubuntu xenial-updates/main i386 Packages [502 kB]
Get:11 http://br.archive.ubuntu.com/ubuntu xenial-updates/universe amd64 Packages [458 kB]
Get:12 http://br.archive.ubuntu.com/ubuntu xenial-updates/universe i386 Packages [444 kB]
Fetched 2.224 kB in 3s (660 kB/s)                         
Reading package lists... Done
Reading package lists... Done
Building dependency tree       
Reading state information... Done
build-essential is already the newest version (12.1ubuntu2).
The following packages were automatically installed and are no longer required:
  linux-headers-4.4.0-63 linux-headers-4.4.0-63-generic linux-headers-4.4.0-64
  linux-headers-4.4.0-64-generic linux-headers-4.4.0-66
  linux-headers-4.4.0-66-generic linux-headers-4.4.0-67
  linux-headers-4.4.0-67-generic linux-headers-4.4.0-70
  linux-headers-4.4.0-70-generic linux-image-4.4.0-63-generic
  linux-image-4.4.0-64-generic linux-image-4.4.0-66-generic
  linux-image-4.4.0-67-generic linux-image-4.4.0-70-generic
  linux-image-extra-4.4.0-63-generic linux-image-extra-4.4.0-64-generic
  linux-image-extra-4.4.0-66-generic linux-image-extra-4.4.0-67-generic
  linux-image-extra-4.4.0-70-generic mythes-en-au openoffice.org-hyphenation
Use 'sudo apt autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 6 not upgraded.
Download and go to folder:
Code:
git clone https://github.com/hjnilsson/rme.git
Cloning into 'rme'...
remote: Counting objects: 3980, done.
remote: Total 3980 (delta 0), reused 0 (delta 0), pack-reused 3980
Receiving objects: 100% (3980/3980), 10.47 MiB | 611.00 KiB/s, done.
Resolving deltas: 100% (2745/2745), done.
Checking connectivity... done.
Code:
cd rme && mkdir build && cd build
So tried to compile, and not work:
cmake ..
Code:
-- The C compiler identification is GNU 5.4.0
-- The CXX compiler identification is GNU 5.4.0
-- Check for working C compiler: /usr/bin/cc
-- Check for working C compiler: /usr/bin/cc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Detecting C compile features
-- Detecting C compile features - done
-- Check for working CXX compiler: /usr/bin/c++
-- Check for working CXX compiler: /usr/bin/c++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Detecting CXX compile features
-- Detecting CXX compile features - done
-- Found OpenGL: /usr/lib/x86_64-linux-gnu/libGL.so  
-- Found LibArchive: /usr/lib/x86_64-linux-gnu/libarchive.so (found version "3.1.2")
-- Looking for pthread.h
-- Looking for pthread.h - found
-- Looking for pthread_create
-- Looking for pthread_create - not found
-- Looking for pthread_create in pthreads
-- Looking for pthread_create in pthreads - not found
-- Looking for pthread_create in pthread
-- Looking for pthread_create in pthread - found
-- Found Threads: TRUE  
-- Boost version: 1.58.0
-- Found the following Boost libraries:
--   thread
--   system
--   chrono
--   date_time
--   atomic
-- Found wxWidgets: -L/usr/lib/x86_64-linux-gnu;-pthread;;;-lwx_gtk2u_html-3.0;-lwx_gtk2u_aui-3.0;-lwx_gtk2u_gl-3.0;-lwx_gtk2u_adv-3.0;-lwx_gtk2u_core-3.0;-lwx_baseu_net-3.0;-lwx_baseu-3.0 (found version "3.0.2")
-- Found GLUT: /usr/lib/x86_64-linux-gnu/libglut.so  
CMake Error: The following variables are used in this project, but they are set to NOTFOUND.
Please set them or make sure they are set and tested correctly in the CMake files:
GLUT_Xi_LIBRARY (ADVANCED)
    linked by target "rme" in directory /home/raphael/Documents/rme
GLUT_Xmu_LIBRARY (ADVANCED)
    linked by target "rme" in directory /home/raphael/Documents/rme

-- Configuring incomplete, errors occurred!
See also "/home/raphael/Documents/rme/build/CMakeFiles/CMakeOutput.log".
See also "/home/raphael/Documents/rme/build/CMakeFiles/CMakeError.log".
Anybody can help me?
 
OP
kennyubuntu

kennyubuntu

Member
Joined
May 20, 2016
Messages
110
Best answers
0
Reaction score
7
CMakeOutput.log
hastebin

CMakeError.log

Code:
Determining if the pthread_create exist failed with the following output:
Change Dir: /home/raphael/Documents/rme/build/CMakeFiles/CMakeTmp

Run Build Command:"/usr/bin/make" "cmTC_d1884/fast"
/usr/bin/make -f CMakeFiles/cmTC_d1884.dir/build.make CMakeFiles/cmTC_d1884.dir/build
make[1]: Entering directory '/home/raphael/Documents/rme/build/CMakeFiles/CMakeTmp'
Building C object CMakeFiles/cmTC_d1884.dir/CheckSymbolExists.c.o
/usr/bin/cc     -o CMakeFiles/cmTC_d1884.dir/CheckSymbolExists.c.o   -c /home/raphael/Documents/rme/build/CMakeFiles/CMakeTmp/CheckSymbolExists.c
Linking C executable cmTC_d1884
/usr/bin/cmake -E cmake_link_script CMakeFiles/cmTC_d1884.dir/link.txt --verbose=1
/usr/bin/cc       CMakeFiles/cmTC_d1884.dir/CheckSymbolExists.c.o  -o cmTC_d1884 -rdynamic
CMakeFiles/cmTC_d1884.dir/CheckSymbolExists.c.o: In function `main':
CheckSymbolExists.c:(.text+0x16): undefined reference to `pthread_create'
collect2: error: ld returned 1 exit status
CMakeFiles/cmTC_d1884.dir/build.make:97: recipe for target 'cmTC_d1884' failed
make[1]: *** [cmTC_d1884] Error 1
make[1]: Leaving directory '/home/raphael/Documents/rme/build/CMakeFiles/CMakeTmp'
Makefile:126: recipe for target 'cmTC_d1884/fast' failed
make: *** [cmTC_d1884/fast] Error 2

File /home/raphael/Documents/rme/build/CMakeFiles/CMakeTmp/CheckSymbolExists.c:
/* */
#include <pthread.h>

int main(int argc, char** argv)
{
  (void)argv;
#ifndef pthread_create
  return ((int*)(&pthread_create))[argc];
#else
  (void)argc;
  return 0;
#endif
}

Determining if the function pthread_create exists in the pthreads failed with the following output:
Change Dir: /home/raphael/Documents/rme/build/CMakeFiles/CMakeTmp

Run Build Command:"/usr/bin/make" "cmTC_9fcab/fast"
/usr/bin/make -f CMakeFiles/cmTC_9fcab.dir/build.make CMakeFiles/cmTC_9fcab.dir/build
make[1]: Entering directory '/home/raphael/Documents/rme/build/CMakeFiles/CMakeTmp'
Building C object CMakeFiles/cmTC_9fcab.dir/CheckFunctionExists.c.o
/usr/bin/cc    -DCHECK_FUNCTION_EXISTS=pthread_create   -o CMakeFiles/cmTC_9fcab.dir/CheckFunctionExists.c.o   -c /usr/share/cmake-3.5/Modules/CheckFunctionExists.c
Linking C executable cmTC_9fcab
/usr/bin/cmake -E cmake_link_script CMakeFiles/cmTC_9fcab.dir/link.txt --verbose=1
/usr/bin/cc   -DCHECK_FUNCTION_EXISTS=pthread_create    CMakeFiles/cmTC_9fcab.dir/CheckFunctionExists.c.o  -o cmTC_9fcab -rdynamic -lpthreads
/usr/bin/ld: cannot find -lpthreads
collect2: error: ld returned 1 exit status
CMakeFiles/cmTC_9fcab.dir/build.make:97: recipe for target 'cmTC_9fcab' failed
make[1]: *** [cmTC_9fcab] Error 1
make[1]: Leaving directory '/home/raphael/Documents/rme/build/CMakeFiles/CMakeTmp'
Makefile:126: recipe for target 'cmTC_9fcab/fast' failed
make: *** [cmTC_9fcab/fast] Error 2
 
Top